% Concatenate the connectivities of two gcell sets
%
% function self = cat(self, other)
% where
%  self, other = members of the same class, descendent of the gcellset
function self = cat(self, other)
    self.dimensions =[self.dimensions;other.dimensions];
    self.A =[self.A;other.A];
    self.I1 =[self.I1;other.I1];
    self.I2 =[self.I2;other.I2];
    self.I3 =[self.I3;other.I3];
    self.J =[self.J;other.J];
    self.x1x2_vector =[self.x1x2_vector,other.x1x2_vector];
    self.gcellset=cat(self.gcellset,other.gcellset);
end