% Get property from the specified object and return the value.
%
% function val = get(self,varargin)
%
% See discussion of the get/set methods in <a href="matlab:helpwin
% 'FAESOR/classes/Contents'">classes/Contents</a>. 
%
function val = get(self,varargin)
    if (nargin == 1)
        val = {{{'property'}, {'electrical property object'}};...
            };
        return;
    else
        prop_name=varargin{1};
        switch prop_name
            case 'property'
                val = self.property;
            otherwise
                val = get(self.mater, prop_name);
        end
    end
end
