% Mesh of a truss portal.
%
% function [fens,gcells] = portal
%
function [fens,gcells] = portal
load portal_node_data
id=portal_node_data(:,1);
xyz=portal_node_data(:,2:4);
fens = fenodeset(struct ('id',id,'xyz',xyz)) ;

load portal_cell_data
id=portal_cell_data(:,1);
conn=portal_cell_data(:,2:3);
area=0.002;
gcells = gcellset_L2(struct ('id',id,'conn',conn,'other_dimension',area));