%  Draw graphic representation for all gcells.
%
% function draw(self, gv, context)
%
%
% See the function draw_mesh()
%
% As a convenience, both the displacement (u) and the rotation field (R) may be
% supplied as empty.
% In that case the displacement is initialized to be a zero field, and the
% rotation field is initialized to identities as rotations.
% 
function draw(self, gv, context)
    if (isempty(context.u))
        context.u=0*context.x;
    end
    draw_mesh(self, gv, context);
end
