% C  COMPUTE natural deformations of a beam element.
function rhoN = natural_deformations (self, L, LU)
    aN= local_cartesian_to_natural (self, L);
    %     Natural deformations
    rhoN=aN*LU;
end
% 
% syms L real
% [1,0,0,0,0,0;
%         0,0,0,0,1,-1;
%         0,0,0,0,1,1;
%         0,0,-1,1,0,0;
%         0,0,-1,-1,0,0;
%         0,1,0,0,0,0;
%         ]* [-1,0,0,0,0,0,1,0,0,0,0,0;
%         0,0,0,-1,0,0,0,0,0,1,0,0;
%         0,0,-1/L,0,1,0,0,0,1/L,0,0,0;
%         0,0,-1/L,0,0,0,0,0,1/L,0,1,0;
%         0,1/L,0,0,0,1,0,-1/L,0,0,0,0;
%         0,1/L,0,0,0,0,0,-1/L,0,0,0,1;
%         ]