% rotint: constructor.
%   Call as:
%     ri = rotint
%
function retobj = rotint_simo_wong_algo_c2 (varargin)
class_name='rotint_simo_wong_algo_c2';
parent=rotint;
if (nargin == 0)
    self.I = eye(3,3);
    self.R = [];
    self.Omega = [];
    self.Alpha = [];
    retobj = class(self,class_name,parent);
    return;
elseif (nargin == 1) % cloning
    self = varargin{1};
    clone.I = self.I;
    clone.R = self.R;
    clone.Omega = self.Omega;
    clone.Alpha = self.Alpha;
    retobj = class(clone,class_name,parent);
    return;
else
    error('Illegal arguments!');
end
return;


