Afont='Times';
Legends = {};
Data = {};
Style = {};

% loadv=[0;0;p];dir=3;
uzex=5.426e-3;
% loadv=[0;p;0];dir=2;uzex=1.756e-3;

Data{end+1}=[
   2.0000e+000   2.0000e+001
  uzex uzex
]; Style{end+1}='k--'; Legends{end+1} ='Ref';

%NICE-T4: number of equations =108
%     Normalized displacement =0.1091
%NICE-T4: number of equations =600
%     Normalized displacement =0.56606
%NICE-T4: number of equations =1764
%     Normalized displacement =0.77574
%NICE-T4: number of equations =3888
%     Normalized displacement =0.86725
Data{end+1}=[
    4.0000    8.0000   12.0000   16.0000
    0.0006    0.0031    0.0042    0.0047

];Style{end+1}='m^-';Legends{end+1} ='NICE-T4';
%NICE-H8: number of equations =108
%     Normalized displacement =0.39701
%NICE-H8: number of equations =600
%     Normalized displacement =0.81456
%NICE-H8: number of equations =1764
%     Normalized displacement =0.91078
%NICE-H8: number of equations =3888
%     Normalized displacement =0.94938
Data{end+1}=[
    4.0000    8.0000   12.0000   16.0000
    0.0022    0.0044    0.0049    0.0052

];Style{end+1}='md-';Legends{end+1} ='NICE-H8';1

%     Normalized displacement =0.037517
%T10: number of equations =600
%     Normalized displacement =0.18971
%T10: number of equations =1764
%     Normalized displacement =0.26717
%T10: number of equations =3888
%     Normalized displacement =0.33749
Data{end+1}=[
    2.0000    4.0000    6.0000    8.0000
    0.0002    0.0010    0.0014    0.0018

];Style{end+1}='kv--';Legends{end+1} ='T10';
%H27: number of equations =108
%     Normalized displacement =0.10982
%H27: number of equations =600
%     Normalized displacement =0.41318
%H27: number of equations =1764
%     Normalized displacement =0.65448
%H27: number of equations =3888
%     Normalized displacement =0.78605
Data{end+1}=[
    2.0000    4.0000    6.0000    8.0000
    0.0006    0.0022    0.0036    0.0043

];Style{end+1}='ks-';Legends{end+1} ='H27';
%NICE-H27: number of equations =108
%     Normalized displacement =0.5166
%NICE-H27: number of equations =600
%     Normalized displacement =0.59069
%NICE-H27: number of equations =1764
%     Normalized displacement =0.77001
%NICE-H27: number of equations =3888
%     Normalized displacement =0.9205
Data{end+1}=[
    2.0000    4.0000    6.0000    8.0000
    0.0028    0.0032    0.0042    0.0050

];Style{end+1}='mh-';Legends{end+1} ='NICE-H27';
%H20R: number of equations =72
%     Normalized displacement =0.53867
%H20R: number of equations =360
%     Normalized displacement =0.51353
%H20R: number of equations =1008
%     Normalized displacement =0.67378
%H20R: number of equations =2160
%     Normalized displacement =0.77255
Data{end+1}=[
    2.0000    4.0000    6.0000    8.0000
    0.0029    0.0028    0.0037    0.0042

];Style{end+1}='ro-';Legends{end+1} ='H20R';
%NICE-H20: number of equations =72
%     Normalized displacement =0.30667
%NICE-H20: number of equations =360
%     Normalized displacement =0.37304
%NICE-H20: number of equations =1008
%     Normalized displacement =0.49725
%NICE-H20: number of equations =2160
%     Normalized displacement =0.6303
Data{end+1}=[
    2.0000    4.0000    6.0000    8.0000
    0.0017    0.0020    0.0027    0.0034

];Style{end+1}='mo--';Legends{end+1} ='NICE-H20';
%H20: number of equations =72
%     Normalized displacement =0.097017
%H20: number of equations =360
%     Normalized displacement =0.33807
%H20: number of equations =1008
%     Normalized displacement =0.53541
%H20: number of equations =2160
%     Normalized displacement =0.6754
Data{end+1}=[
    2.0000    4.0000    6.0000    8.0000
    0.0005    0.0018    0.0029    0.0037

];Style{end+1}='k>--';Legends{end+1} ='H20';

for j=1:length(Data)
    data=Data{j};
    h=data(1,:); utip=data(2,:);
    plot(h,utip,Style{j},'lineWIDTH', 2); hold on;
%     loglog(h,abs(utip-uzex)/uzex,Style{j},'lineWIDTH', 2); hold on;
end

% set(gca,'XLim', [100, 1000]);
% set(gca,'YLim', [1e-4, 1e-1]);
xlabel ('number of elements per side')
ylabel ('displacement')
legend(Legends,'Location','Southeast')
set(gca,'Position',[0.15 0.15 0.5 0.5]);
set_label_defaults
hold on; grid on; figure (gcf);
% saveas(gcf,[mfilename '.png']);
 printeps(gcf,[mfilename '.eps']);
 close  all