Amplitude = 1500;
Make_frames = ~true;
Moderange=  1:neigvs;


cam2.cam=1.0e+004 *[-4.0661   -5.4507    4.3589    0.5000    0.5000    0.0284         0         0  0.0001    0.0007];
cam2.Viewpoint='Above';
cam2.cbgl=[];
cam2.txtlblxyz=[-4.462e+004 -5.466e+004 3.921e+004];
% 
% % Select camera
cam =cam2;


bdry_gcells = mesh_bdry(gcells, []);
Show_bdry_gcells =subset(bdry_gcells,setdiff (1:length(bdry_gcells),cam.cbgl));

conns =get(Show_bdry_gcells,'conn');
conns =conns(:, [1, 4, 3, 2]);

xyz = gather(geom, (1:length(fens)), 'values', 'noreshape');

% Plot
gv=graphic_viewer;
gv=reset (gv,[]);
%         for i=27:-1:1
%       for i=neigvs:-1:1
for i=Moderange
    disp(['  Eigenvector ' num2str(i) ' frequency ' num2str(sqrt(Omegas(i))/2/pi) ' Hz']);
    clf;
    w = scatter_sysvec(0*u, W(:,i));
    pv = psis(:,i);
%     wv = get(Wns(i),'values');
    pmag = pv;
    dcm=data_colormap(struct ('range',[min(pmag),max(pmag)], 'colormap',jet));
    colors=map_data(dcm, pmag);
    colorfield = field(struct ('name',['cf'], 'dim', 3, 'data',colors));
    gv=reset (gv,[]);
    set(gca,'FontSize',16)
    camset(gv,cam.cam);
    scale=Amplitude/max(abs(W(:,i)));
    wxyz = scale*gather(w, (1:length(fens)), 'values', 'noreshape');
    h=patch('Faces', conns, ...
        'Vertices', xyz+wxyz,'NormalMode','manual','BackFaceLighting','lit',...
        'FaceVertexCData', colors,...
        'FaceColor', 'interp','EdgeColor','black');
    cbh=colorbar;
    set(cbh,...
        'Position',[0.815 0.15 0.05 0.7],...
        'YLim',[0,1],...
        'YTick',[0,1],...
        'YTickLabel',{[num2str(min(pmag))],[num2str(max(pmag))]});%{[num2str((min(nvals)))],[num2str((max(nvals)))]}
    set(get(cbh,'XLabel'),'String','Pressure/amplitude');
%         draw(Show_bdry_gcells(j),gv, struct ('x',  geom,'u',+scale*w,'colorfield',colorfield));
    text(cam.txtlblxyz(1),cam.txtlblxyz(2),cam.txtlblxyz(3),['\omega_{' num2str(i) '}=' num2str(sqrt(Omegas(i))) ' [Rad/s]'],'FontSize',24);
    %     axis off
    %     saveas(gcf, ['drum_t10-' num2str(i) '.png'], 'png');
    headlight(gv);
%     print(gcf, '-dpng','-r75',[ Model '-' cam.Viewpoint '-Evec' num2str(i)  ]);
    
    pause(1); % next eigenvector
end
