function b = bwr13(Ignore)
    %bwr    Blue to white to red color map
    %   bwr(M) returns an M-by-3 matrix containing a "bwr" colormap.
    %   bwr, by itself, is the same length as the current figure's
    %   colormap. If no figure exists, MATLAB creates one.
    %
    %   For example, to reset the colormap of the current figure:
    %
    %             colormap(bwr)
    %
    %   See also HSV, GRAY, HOT, COOL, COPPER, PINK, FLAG,
    %   COLORMAP, RGBPLOT.
    b=bwr(13);
